Nine Putrid Mangos

    css-modules-electron

    2.0.0 • Public • Published

    css-modules-electron

    Load CSS Modules in Electron. Once registered, you can require CSS modules and they will automatically be compiled and injected into the head element of your Electron app.

    Usage

    This module has the same requirements as css-modules-require-hook. That means you must have the following modules installed:

    • postcss version 4 or higher
    • postcss-modules-extract-imports
    • postcss-modules-local-by-default
    • postcss-modules-scope

    You can register the hook in Electron by requiring the register module:

    require('css-modules-electron/register');

    You can also specify options using the same API as css-modules-require-hook by requiring the core module directly:

    require('css-modules-electron')({
      // `css-modules-require-hook` options here
    });

    See example/src/front.js for a working example.

    Running the Example

    npm i
    npm start

    Install

    npm i css-modules-electron

    DownloadsWeekly Downloads

    10

    Version

    2.0.0

    License

    MIT

    Last publish

    Collaborators

    • knpwrs